<form #f='ngForm' (ngSubmit)="onSignInSubmit()" >
  <div class="form-group">
    <label for="exampleInputEmail1">Email address</label>
    <input type="email" class="form-control" id="exampleInputEmail1" 
           aria-describedby="emailHelp" placeholder="Enter email"
           name="email" [(ngModel)]="signInUser.email">
  </div>
  <div class="form-group">
    <label for="exampleInputPassword1">Password</label>
    <input type="password" class="form-control" id="exampleInputPassword1" 
           placeholder="Password" name="password" [(ngModel)]="signInUser.password">
  </div>
  <button type="submit" class="btn btn-primary"
          [disabled]="!(f.valid)" [ngClass]="{'disabled': !(f.valid)}" >Submit</button>
</form>